name:                 parsec
version:              3.1.17.0
visibility:           public
id:                   parsec-3.1.17.0-inplace
key:                  parsec-3.1.17.0-inplace
license:              BSD-2-Clause
maintainer:
    Oleg Grenrus <oleg.grenrus@iki.fi>, Herbert Valerio Riedel <hvr@gnu.org>

author:
    Daan Leijen <daan@microsoft.com>, Paolo Martini <paolo@nemail.it>, Antoine Latter <aslatter@gmail.com>

homepage:             https://github.com/haskell/parsec
synopsis:             Monadic parser combinators
description:
    Parsec is designed from scratch as an industrial-strength parser
    library.  It is simple, safe, well documented (on the package
    homepage), has extensive libraries, good error messages,
    and is fast.  It is defined as a monad transformer that can be
    stacked on arbitrary monads, and it is also parametric in the
    input stream type.

    The main entry point is the "Text.Parsec" module which provides
    defaults for parsing 'Char'acter data.

    The "Text.ParserCombinators.Parsec" module hierarchy contains
    the legacy @parsec-2@ API and may be removed at some point in
    the future.

category:             Parsing
abi:                  3ca8f76594ab756420550d6b6952e456
exposed:              True
exposed-modules:
    Text.Parsec Text.Parsec.ByteString Text.Parsec.ByteString.Lazy
    Text.Parsec.Char Text.Parsec.Combinator Text.Parsec.Error
    Text.Parsec.Expr Text.Parsec.Language Text.Parsec.Perm
    Text.Parsec.Pos Text.Parsec.Prim Text.Parsec.String
    Text.Parsec.Text Text.Parsec.Text.Lazy Text.Parsec.Token
    Text.ParserCombinators.Parsec Text.ParserCombinators.Parsec.Char
    Text.ParserCombinators.Parsec.Combinator
    Text.ParserCombinators.Parsec.Error
    Text.ParserCombinators.Parsec.Expr
    Text.ParserCombinators.Parsec.Language
    Text.ParserCombinators.Parsec.Perm
    Text.ParserCombinators.Parsec.Pos
    Text.ParserCombinators.Parsec.Prim
    Text.ParserCombinators.Parsec.Token

import-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/parsec-3.1.17.0-inplace

library-dirs:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/parsec-3.1.17.0-inplace

library-dirs-static:
    ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1/parsec-3.1.17.0-inplace

dynamic-library-dirs: ${pkgroot}/../lib/x86_64-netbsd-ghc-9.10.1
data-dir:
    ${pkgroot}/../share/x86_64-netbsd-ghc-9.10.1/parsec-3.1.17.0

hs-libraries:         HSparsec-3.1.17.0-inplace
depends:
    base-4.20.0.0-inplace bytestring-0.12.1.0-inplace mtl-2.3.1-inplace
    text-2.1.1-inplace

haddock-interfaces: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/parsec-3.1.17.0-inplace/parsec.haddock"


haddock-html: "${pkgroot}/../../../share/doc/ghc-9.10.1/html/libraries/parsec-3.1.17.0-inplace"
